#!/usr/bin/env python


from DurandDB import blastq
from JJutil import mysqlutils

bq = blastq.blastq()
mdbw = mysqlutils.dbwrap('goby.compbio.cs.cmu.edu', 'jmjoseph', 'pQ1rng8c',
                         'DurandLab2')

pgdict = bq.fetch_hits( stype='bit_score', br_id=75,
                        symmetric=True)


q = """SELECT seq_id_0, seq_id_1, bit_score
FROM blast_hit_symmetric
WHERE br_id=75"""

mysqlhits = mdbw.fetchall( q)

for (seq_id_0, seq_id_1, bit_score) in mysqlhits:
    try:
        if abs(pgdict[seq_id_0][seq_id_1] - bit_score) > 0.000001:
            print "Difference", seq_id_0, seq_id_1, bit_score, pgdict[seq_id_0][seq_id_1], pgdict[seq_id_1][seq_id_0]
    except:
        print "key error", seq_id_0, seq_id_1, bit_score
        raise

    
